import { defineStore } from 'pinia'

import { type Inventory } from './types/data'

export const useAppStore = defineStore('appStore', {
  state: () => ({
    currentInventory: {
      filePath: '',
      data: null as Inventory | null,
    },
  }),
})

export type AppStoreDefinition = Omit<
  ReturnType<typeof useAppStore>,
  keyof ReturnType<typeof defineStore>
>
